Bug 184029 - Install halts when checking for dependencies in Packages - gives unhandled exception occurred.
Install halts when checking for dependencies in Packages - gives unhandled ex...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-04 23:12 EST by Ron Stein
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-05 16:24:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Saved exception details (56.54 KB, text/plain)
2006-03-04 23:12 EST, Ron Stein
no flags Details
FC5t3 install failure (112.35 KB, text/plain)
2006-03-13 07:14 EST, Stuart Clark
no flags Details

  None (edit)
Description Ron Stein 2006-03-04 23:12:17 EST
Description of problem:


Version-Release number of selected component (if applicable):
Disc One of Fedora Core 5 (4.92) test3

How reproducible:Install 1st disc (disc1) of fc5(4.92) and choose default
package selection


Steps to Reproduce:
1.Install fresh copy of XP HOME on a 40gig drive. Computer is a older compaq
1.8Ghz P4 256Meg ram with AGP video card and a USB2/firewire card in slot. Have
only a DVD cdrom drive (Nec 3520) and floppy drive attached.
Used Partition Magic8.01 to reduce hda1 partition to approx 6gig and leave the
balance of 40gig harddrive unallocated. Retested Windows XP after and works ok.  
2.Rebooted with Fedora Core test3 4.92 disc1 in dvd drive.
3.Installation proceeds as follows: Choose custom partitions. (hda1 is Windows
XP on 6gig. partition) hda2 /boot 100Meg. hda3 /swap 512Meg. hda5 / balance of
hd approx. 33Gig. Select default "Office & Productivity" and "Customize later".
Starts "Checking dependencies in Packages".  Part way thru I get the following
error message: 
"An unhandled exception has occurred. This is most likely a bug. Please save a
copy of the detailed exception and file a bug report against anaconda at your
distribution provided by reporting tool."
(with luck) A copy of the detailed exception file anaconda.text saved on a
floppy and now attached to this report
 
Actual results:
Can't Install  fc5(4.92)test3.

Expected results:
fc5(4.92) test3 should install ok!  

Additional info:After this failure, I successfully installed Fedora Core 4
release version following the exact identicial steps above. Used same hardware ,
same custom partitions and default software selections.
Comment 1 Ron Stein 2006-03-04 23:12:17 EST
Created attachment 125659 [details]
Saved exception details
Comment 2 Chris Lumens 2006-03-05 23:35:06 EST
Did you verify your installation media?  The following messages in your
exception traceback point at bad media or drive problems:

<4>hdc: media error (bad sector): status=0x51 { DriveReady SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34 { AbortedCommand LastFailedSense=0x03 }
<4>ide: failed opcode was: unknown
<4>end_request: I/O error, dev hdc, sector 1321752
<3>Buffer I/O error on device hdc, logical block 330438
Comment 3 Ron Stein 2006-03-06 10:33:27 EST
(In reply to comment #2)
> Did you verify your installation media?  

YES.  Disc 1 media checked and reports media ok.

>The following messages in your
> exception traceback point at bad media or drive problems:
> 
> <4>hdc: media error (bad sector): status=0x51 { DriveReady SeekComplete Error }
> <4>hdc: media error (bad sector): error=0x34 { AbortedCommand
LastFailedSense=0x03 }
> <4>ide: failed opcode was: unknown
> <4>end_request: I/O error, dev hdc, sector 1321752
> <3>Buffer I/O error on device hdc, logical block 330438

I saw this above sector error report BEFORE I sent this error report and noted
that it was suggesting a bad sector somewhere on my swap partition (hdc). 

Why I think this still MIGHT be an error:

 How come after I had this problem, I was then able to completely install the
current release (version4) without any hard drive or media errors whatsoever on
the exact same machine (with the same partitions and sizes and hdc swap
partition) that wouldn't install version 5(4.92) test3 previously?  Would this
mean that this hard drive does not have a bad sector? And if this was a bad cd
media error, how come I could use the exact same version 5(4.92) disc 1 on a
different computer and this completely installed 100% successfully. Wouldn't
this suggest that the disc media was good?

After this report was sent and while I was working with version 4 (released)
later installed on this same Compaq computer, I noticed the following unexpected
"fstab" file contents for the swap partition:

LABEL=*********         swap                    swap    defaults        0 0

Where the nine asteriks are, there was some very wierd unprintable character
symbols. 

Is this part of my problem? Does this mean that my partition table (located in
the first sector?) of my harddrive also has some weird characters stored in it
and is causing this problem? (I have no idea how to check this or fix it).
Comment 4 Stuart Clark 2006-03-13 07:07:45 EST
I am having nearly the same problem.  I am currently running FC4 on a Toshiba
Tecra 8100 laptop.  I am trying to install FC5t3 as well, FC5t2 has the same
problem.  I am installing from the single DVD-ROM image. This image has passed
the media test. From the below attached debug output, it seems that there is an
error with the reading from the DVD drive.

I noticed that I too had the strange label for swap devices in /etc/fstab, but
this is not visible today - this file gets generated by fstab-sync.

This problem has been repeatable, this is the first time I have attached a
floppy drive to save the debug report.  I have not looked for a newer boot disk
as yet, I guess FC5 will be that disk.  I am happy to try anything.
Comment 5 Stuart Clark 2006-03-13 07:14:29 EST
Created attachment 126032 [details]
FC5t3 install failure

See above
Comment 6 Stuart Clark 2006-03-14 03:12:06 EST
After re-reading the release notes, I tried the install boot command suggested
for issues with false-negative media tests results:

linux ide=nodma

I then did another media test, which passed again.  I then attempted an Upgrade
which fails at the same place.  I have tried the 'new install' option, but it
also fails in the same way.
The error is the same with and without the above kernel boot parameter, the
debug output is almost identical:

<4>hdc: media error (bad sector): status=0x51 { DriveReady SeekComplete Error }
<4>hdc: media error (bad sector): error=0x30 { LastFailedSense=0x03 }
<4>ide: failed opcode was: unknown
<4>end_request: I/O error, dev hdc, sector 6280268
<3>Buffer I/O error on device hdc, logical block 1570067
<4>hdc: media error (bad sector): status=0x51 { DriveReady SeekComplete Error }
<4>hdc: media error (bad sector): error=0x30 { LastFailedSense=0x03 }
<4>ide: failed opcode was: unknown
<4>end_request: I/O error, dev hdc, sector 6280268
<3>Buffer I/O error on device hdc, logical block 1570067

hdc is the CDROM/DVDROM device, and works fine in FC4.

Comment 7 Red Hat Bugzilla 2007-02-05 13:56:11 EST
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.
Comment 8 Jeremy Katz 2007-02-05 16:24:53 EST
This is a bad disc

Note You need to log in before you can comment on or make changes to this bug.